---
apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: letsencrypt-prod-islive-xyz
spec:
  acme:
    server: https://acme-v02.api.letsencrypt.org/directory
    email: calebwoodbine.public@gmail.com
    privateKeySecretRef:
      name: letsencrypt-prod-islive-xyz
    solvers:
      - dns01:
          cnameStrategy: Follow
          digitalocean:
            tokenSecretRef:
              name: digitalocean-token
              key: token
      # - http01:
      #     ingress:
      #       class: istio
      # - http01:
      #     gatewayHTTPRoute:
      #       parentRefs:
      #         - name: knative-ingress-gateway
      #           namespace: knative-serving
